[ARVADOS] updated: 1.1.4-765-g38c4ce8bd
Git user
git at public.curoverse.com
Thu Aug 9 09:33:29 EDT 2018
Summary of changes:
build/build.list | 7 ++++++-
build/package-testing/deb-common-test-packages.sh | 8 +++++++-
build/run-library.sh | 9 ++++++---
3 files changed, 19 insertions(+), 5 deletions(-)
via 38c4ce8bd5aefed6784d457ed3caf28f279d6de4 (commit)
via b0ab93cc292146f1e38c061ab04df3b9a114232f (commit)
via b57ca9691db0527a086c6ac781abdb956a1b7406 (commit)
via f1697a4720541a84e581fee2513c84a8dc26ff93 (commit)
via 00e5b1e6e2946edc49dc2371a3b3d70c4dcbfe5d (commit)
from 4c5600a83bd887894d135474fe3a7e0200dfb01b (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 38c4ce8bd5aefed6784d457ed3caf28f279d6de4
Merge: 4c5600a83 b0ab93cc2
Author: Peter Amstutz <pamstutz at veritasgenetics.com>
Date: Thu Aug 9 09:30:09 2018 -0400
Merge branch '13931-cwltool-deps' refs #13931
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <pamstutz at veritasgenetics.com>
commit b0ab93cc292146f1e38c061ab04df3b9a114232f
Author: Peter Amstutz <pamstutz at veritasgenetics.com>
Date: Thu Aug 9 09:29:13 2018 -0400
13931: Reorganize for consistency.
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <pamstutz at veritasgenetics.com>
diff --git a/build/build.list b/build/build.list
index f5b4c14af..eb6ba2206 100644
--- a/build/build.list
+++ b/build/build.list
@@ -40,6 +40,8 @@ centos7|python-daemon|2.1.2|1|python|all
centos7|pbr|0.11.1|2|python|all
centos7|pyparsing|2.1.10|2|python|all
centos7|keepalive|0.5|2|python|all
+centos7|networkx|1.11|0|python|all
+centos7|psutil|5.0.1|0|python|all
debian8,debian9,ubuntu1404,ubuntu1604,centos7|lockfile|0.12.2|2|python|all|--epoch 1
debian8,debian9,ubuntu1404,ubuntu1604,centos7|subprocess32|3.5.1|2|python|all
all|ruamel.yaml|0.14.12|2|python|amd64|--python-setup-py-arguments --single-version-externally-managed
@@ -53,5 +55,3 @@ all|mypy-extensions|0.3.0|1|python|all
all|prov|1.5.1|0|python|all
all|bagit|1.6.4|0|python|all
all|typing-extensions|3.6.5|0|python|all
-centos7|networkx|1.11|0|python|all
-centos7|psutil|5.0.1|0|python|all
\ No newline at end of file
commit b57ca9691db0527a086c6ac781abdb956a1b7406
Author: Peter Amstutz <pamstutz at veritasgenetics.com>
Date: Thu Aug 9 09:28:22 2018 -0400
13931: package deps for centos7
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <pamstutz at veritasgenetics.com>
diff --git a/build/build.list b/build/build.list
index 039625ca7..f5b4c14af 100644
--- a/build/build.list
+++ b/build/build.list
@@ -53,3 +53,5 @@ all|mypy-extensions|0.3.0|1|python|all
all|prov|1.5.1|0|python|all
all|bagit|1.6.4|0|python|all
all|typing-extensions|3.6.5|0|python|all
+centos7|networkx|1.11|0|python|all
+centos7|psutil|5.0.1|0|python|all
\ No newline at end of file
diff --git a/build/package-testing/deb-common-test-packages.sh b/build/package-testing/deb-common-test-packages.sh
index e02532cda..900b09195 100755
--- a/build/package-testing/deb-common-test-packages.sh
+++ b/build/package-testing/deb-common-test-packages.sh
@@ -27,7 +27,7 @@ cd /tmp/opts
export ARV_PACKAGES_DIR="/arvados/packages/$target"
-if [[ -f "$ARV_PACKAGES_DIR/$1"_*.deb ]] ; then
+if [[ -f $(ls -t "$ARV_PACKAGES_DIR/$1"_*.deb | head -n1) ]] ; then
debpkg=$(ls -t "$ARV_PACKAGES_DIR/$1"_*.deb | head -n1)
else
debpkg=$(ls -t "$ARV_PACKAGES_DIR/processed/$1"_*.deb | head -n1)
commit f1697a4720541a84e581fee2513c84a8dc26ff93
Author: Peter Amstutz <pamstutz at veritasgenetics.com>
Date: Wed Aug 8 17:10:03 2018 -0400
13931: Fix "don't rebuild packages that already exist" logic
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <pamstutz at veritasgenetics.com>
diff --git a/build/run-library.sh b/build/run-library.sh
index c5a73cbe3..6ee57a4be 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -60,7 +60,7 @@ version_from_git() {
declare $(format_last_commit_here "git_ts=%ct git_hash=%h")
ARVADOS_BUILDING_VERSION="$(git describe --abbrev=0).$(date -ud "@$git_ts" +%Y%m%d%H%M%S)"
echo "$ARVADOS_BUILDING_VERSION"
-}
+}
nohash_version_from_git() {
if [[ -n "$ARVADOS_BUILDING_VERSION" ]]; then
@@ -273,12 +273,15 @@ test_package_presence() {
repo_subdir=${pkgname:0:1}
fi
- repo_pkg_list=$(curl -o - http://apt.arvados.org/pool/${D}/main/${repo_subdir}/)
+ repo_pkg_list=$(curl -s -o - http://apt.arvados.org/pool/${D}/main/${repo_subdir}/)
echo ${repo_pkg_list} |grep -q ${complete_pkgname}
- if [ $? -eq 0 ]; then
+ if [ $? -eq 0 ] ; then
echo "Package $complete_pkgname exists, not rebuilding!"
curl -o ./${complete_pkgname} http://apt.arvados.org/pool/${D}/main/${repo_subdir}/${complete_pkgname}
return 1
+ elif test -f "$WORKSPACE/packages/$TARGET/processed/${complete_pkgname}" ; then
+ echo "Package $complete_pkgname exists, not rebuilding!"
+ return 1
else
echo "Package $complete_pkgname not found, building"
return 0
commit 00e5b1e6e2946edc49dc2371a3b3d70c4dcbfe5d
Author: Peter Amstutz <pamstutz at veritasgenetics.com>
Date: Wed Aug 8 16:50:36 2018 -0400
13931: Add dependencies required by latest cwltool
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <pamstutz at veritasgenetics.com>
diff --git a/build/build.list b/build/build.list
index ef6407031..039625ca7 100644
--- a/build/build.list
+++ b/build/build.list
@@ -23,7 +23,7 @@ debian8,debian9,ubuntu1404,ubuntu1604,centos7|pyyaml|3.12|2|python|amd64
debian8,debian9,ubuntu1404,ubuntu1604,centos7|rdflib|4.2.2|2|python|all
debian8,debian9,ubuntu1404,centos7|shellescape|3.4.1|2|python|all
debian8,debian9,ubuntu1404,ubuntu1604,centos7|mistune|0.7.3|2|python|all
-debian8,debian9,ubuntu1404,ubuntu1604,centos7|typing|3.5.3.0|2|python|all
+debian8,debian9,ubuntu1404,ubuntu1604,centos7|typing|3.6.2|2|python|all
debian8,debian9,ubuntu1404,ubuntu1604,centos7|avro|1.8.1|2|python|all
debian8,debian9,ubuntu1404,centos7|ruamel.ordereddict|0.4.9|2|python|amd64
debian8,debian9,ubuntu1404,ubuntu1604,centos7|cachecontrol|0.11.7|2|python|all
@@ -50,3 +50,6 @@ all|futures|3.0.5|2|python|all
all|future|0.16.0|2|python|all
all|future|0.16.0|2|python3|all
all|mypy-extensions|0.3.0|1|python|all
+all|prov|1.5.1|0|python|all
+all|bagit|1.6.4|0|python|all
+all|typing-extensions|3.6.5|0|python|all
diff --git a/build/package-testing/deb-common-test-packages.sh b/build/package-testing/deb-common-test-packages.sh
index b4ea35c57..e02532cda 100755
--- a/build/package-testing/deb-common-test-packages.sh
+++ b/build/package-testing/deb-common-test-packages.sh
@@ -27,7 +27,13 @@ cd /tmp/opts
export ARV_PACKAGES_DIR="/arvados/packages/$target"
-dpkg-deb -x $(ls -t "$ARV_PACKAGES_DIR/$1"_*.deb | head -n1) .
+if [[ -f "$ARV_PACKAGES_DIR/$1"_*.deb ]] ; then
+ debpkg=$(ls -t "$ARV_PACKAGES_DIR/$1"_*.deb | head -n1)
+else
+ debpkg=$(ls -t "$ARV_PACKAGES_DIR/processed/$1"_*.deb | head -n1)
+fi
+
+dpkg-deb -x $debpkg .
while read so && [ -n "$so" ]; do
echo
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list